## EmpathyContactFactory

EmpathyContactFactory

## Synopsis

                        EmpathyContactFactory;
    EmpathyContactFactory * empathy_contact_factory_dup_singleton
                                                            (void);
    EmpathyTpContactFactory * empathy_contact_factory_get_tp_factory
                                                            (EmpathyContactFactory *factory,
                                                             McAccount *account);
    EmpathyContact *    empathy_contact_factory_get_user    (EmpathyContactFactory *factory,
                                                             McAccount *account);
    EmpathyContact *    empathy_contact_factory_get_from_id (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             const gchar *id);
    EmpathyContact *    empathy_contact_factory_get_from_handle
                                                            (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             guint handle);
    GList *             empathy_contact_factory_get_from_handles
                                                            (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             const GArray *handles);
    void                empathy_contact_factory_set_alias   (EmpathyContactFactory *factory,
                                                             EmpathyContact *contact,
                                                             const gchar *alias);
    void                empathy_contact_factory_set_avatar  (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             const gchar *data,
                                                             gsize size,
                                                             const gchar *mime_type);

## Object Hierarchy

      GObject
       +----EmpathyContactFactory

## Description

## Details

### EmpathyContactFactory

    typedef struct _EmpathyContactFactory EmpathyContactFactory;

### empathy_contact_factory_dup_singleton ()

    EmpathyContactFactory * empathy_contact_factory_dup_singleton
                                                            (void);

Returns : |

### empathy_contact_factory_get_tp_factory ()

    EmpathyTpContactFactory * empathy_contact_factory_get_tp_factory
                                                            (EmpathyContactFactory *factory,
                                                             McAccount *account);

`factory` : |
`account` : |
Returns : |

### empathy_contact_factory_get_user ()

    EmpathyContact *    empathy_contact_factory_get_user    (EmpathyContactFactory *factory,
                                                             McAccount *account);

`factory` : |
`account` : |
Returns : |

### empathy_contact_factory_get_from_id ()

    EmpathyContact *    empathy_contact_factory_get_from_id (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             const gchar *id);

`factory` : |
`account` : |
`id` : |
Returns : |

### empathy_contact_factory_get_from_handle ()

    EmpathyContact *    empathy_contact_factory_get_from_handle
                                                            (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             guint handle);

`factory` : |
`account` : |
`handle` : |
Returns : |

### empathy_contact_factory_get_from_handles ()

    GList *             empathy_contact_factory_get_from_handles
                                                            (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             const GArray *handles);

`factory` : |
`account` : |
`handles` : |
Returns : |

### empathy_contact_factory_set_alias ()

    void                empathy_contact_factory_set_alias   (EmpathyContactFactory *factory,
                                                             EmpathyContact *contact,
                                                             const gchar *alias);

`factory` : |
`contact` : |
`alias` : |

### empathy_contact_factory_set_avatar ()

    void                empathy_contact_factory_set_avatar  (EmpathyContactFactory *factory,
                                                             McAccount *account,
                                                             const gchar *data,
                                                             gsize size,
                                                             const gchar *mime_type);

`factory` : |
`account` : |
`data` : |
`size` : |
`mime_type` : |